## org.apache.lucene.analysis.ngram
Class EdgeNGramTokenizer.Side

    java.lang.Object
      org.apache.lucene.analysis.ngram.EdgeNGramTokenizer.Side

Enclosing class:
  EdgeNGramTokenizer

    public static class EdgeNGramTokenizer.Side

extends java.lang.Object

Specifies which side of the input the n-gram should be generated from

Field Summary
`static EdgeNGramTokenizer.Side` `BACK` Get the n-gram from the end of the input
`static EdgeNGramTokenizer.Side` `FRONT` Get the n-gram from the front of the input

Method Summary
`java.lang.String` `getLabel()`
`static EdgeNGramTokenizer.Side` `getSide(java.lang.String sideName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FRONT

    public static EdgeNGramTokenizer.Side FRONT

  Get the n-gram from the front of the input

### BACK

    public static EdgeNGramTokenizer.Side BACK

  Get the n-gram from the end of the input

Method Detail

### getLabel

    public java.lang.String getLabel()

### getSide

    public static EdgeNGramTokenizer.Side getSide(java.lang.String sideName)

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.